#include <bits/stdc++.h>
#include "code.h"
using namespace std;

vector<pair<int, int>> tacke;
vector<pair<int, int>> ZapisiTacke(int n){
	tacke.resize(n+1);
	tacke[1] = {0, 1};
	for(int i = 2; i <= n; i++) {
		tacke[i] = {i-1, 0};
	}
    return tacke;
}

vector<int> Resi(int n, int q) {
	vector<int> res(n+1);
	for(int i = 1; i <= n-2; i++) {
		auto [ax, ay] = tacke[i];
		auto [bx, by] = tacke[i+1];
		auto [cx, cy] = tacke[i+2];
		long long cross =
			1LL * (bx - ax) * (cy - ay) -
			1LL * (by - ay) * (cx - ax);
		cross = ((cross < 0) ? -1 : ((cross > 0) ? 1 : 0));
		if(Pitaj(i, i+1, i+2) != cross) {
			for(int j = 1; j <= n; j++)
				res[j] = n - j + 1;
			return res;
		}
	}
	for(int j = 1; j <= n; j++)
		res[j] = j;
	return res;
}